import cdk = require('@aws-cdk/cdk');
import { Action, ActionArtifactBounds, CommonActionProps } from "./action";
export interface DeployActionProps extends CommonActionProps {
    provider: string;
    artifactBounds: ActionArtifactBounds;
    configuration?: any;
}
export declare abstract class DeployAction extends Action {
    constructor(parent: cdk.Construct, name: string, props: DeployActionProps);
}
